# Uses of Class
org.apache.datasketches.cpc.CpcSketch

Packages that use CpcSketch
Package
Description
org.apache.datasketches.cpc
Compressed Probabilistic Counting sketch family

## Uses of CpcSketch in org.apache.datasketches.cpc

Methods in org.apache.datasketches.cpc that return CpcSketch
Modifier and Type
Method
Description
`CpcSketch`
CpcUnion.`getResult()`
Returns the result of union operations as a CPC sketch.
`static CpcSketch`
CpcSketch.`heapify(byte[] byteArray)`
Return the given byte array as a CpcSketch on the Java heap using the DEFAULT_UPDATE_SEED.
`static CpcSketch`
CpcSketch.`heapify(byte[] byteArray, long seed)`
Return the given byte array as a CpcSketch on the Java heap.
`static CpcSketch`
CpcSketch.`heapify(org.apache.datasketches.memory.Memory mem)`
Return the given Memory as a CpcSketch on the Java heap using the DEFAULT_UPDATE_SEED.
`static CpcSketch`
CpcSketch.`heapify(org.apache.datasketches.memory.Memory mem, long seed)`
Return the given Memory as a CpcSketch on the Java heap.
Methods in org.apache.datasketches.cpc with parameters of type CpcSketch
Modifier and Type
Method
Description
`void`
CpcUnion.`update(CpcSketch sketch)`
Update this union with a CpcSketch.